Page MenuHomePhabricator

Deploy Compact Language Links on the German Wikipedia
Closed, ResolvedPublic

Description

Announcement done: https://de.wikipedia.org/w/index.php?title=Wikipedia%3AKurier&type=revision&diff=169848880&oldid=169847852

Deploying will be done similarly to Swedish:

  • Anonymous users will get compact language links.
  • Newly registered users will get compact language links.
  • Already registered users will get compact language links if they had the beta feature enabled or if they didn't edit in 2017. Already registered users who edited in 2017 and didn't enable the beta feature will get the usual old language links.
  • All registered users will be able to enable or disable this feature in the preferences.

Schedule: SWAT on 16 October 2017.

Checklist

Event Timeline

Amire80 created this task.Oct 10 2017, 1:25 PM
Restricted Application added a project: UniversalLanguageSelector. · View Herald TranscriptOct 10 2017, 1:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Amire80 updated the task description. (Show Details)Oct 10 2017, 1:32 PM
Amire80 claimed this task.Oct 10 2017, 1:38 PM

Change 383357 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/mediawiki-config@master] Deploy Compact Language Links on the German Wikipedia

https://gerrit.wikimedia.org/r/383357

Amire80 updated the task description. (Show Details)Oct 10 2017, 1:56 PM
Amire80 updated the task description. (Show Details)Oct 10 2017, 2:00 PM

Change 383360 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/UniversalLanguageSelector@master] Update timestamp in CLL preferences script to 20170101

https://gerrit.wikimedia.org/r/383360

Amire80 updated the task description. (Show Details)Oct 10 2017, 2:05 PM
Amire80 updated the task description. (Show Details)
Amire80 updated the task description. (Show Details)Oct 10 2017, 2:25 PM

Change 383360 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Update timestamp in CLL preferences script to 20170101

https://gerrit.wikimedia.org/r/383360

Arrbee triaged this task as Normal priority.Oct 10 2017, 4:16 PM
Amire80 updated the task description. (Show Details)Oct 11 2017, 1:42 PM
Elitre added a subscriber: Elitre.Oct 11 2017, 2:15 PM
Amire80 updated the task description. (Show Details)Oct 11 2017, 6:35 PM
KartikMistry updated the task description. (Show Details)Oct 12 2017, 5:13 AM
KartikMistry updated the task description. (Show Details)
KartikMistry updated the task description. (Show Details)
Johan added a subscriber: Johan.

(Removing user-notice tag – since this is focused on one wiki, there are better ways to make that wiki aware of what's happening than to mention it in a movement-wide newsletter.)

Johan removed a subscriber: Johan.Oct 12 2017, 12:01 PM
Amire80 added a subscriber: Johan.Oct 12 2017, 12:06 PM

(Removing user-notice tag – since this is focused on one wiki, there are better ways to make that wiki aware of what's happening than to mention it in a movement-wide newsletter.)

No problem.

Change 383357 merged by jenkins-bot:
[operations/mediawiki-config@master] Deploy Compact Language Links on the German Wikipedia

https://gerrit.wikimedia.org/r/383357

Change 384527 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/mediawiki-config@master] Deploy Compact Language Links on the German Wikipedia

https://gerrit.wikimedia.org/r/384527

Amire80 updated the task description. (Show Details)Oct 24 2017, 10:41 AM

Mentioned in SAL (#wikimedia-operations) [2017-10-25T13:04:42Z] <matt_flaschen> About to run ULSCompactLinksDisablePref.php: Setting user preferences for Compact Language Links on dewiki, before removing Beta Feature and changing to regular preference. T177836

Change 384527 merged by jenkins-bot:
[operations/mediawiki-config@master] Deploy Compact Language Links on the German Wikipedia

https://gerrit.wikimedia.org/r/384527

Mentioned in SAL (#wikimedia-operations) [2017-10-25T15:09:06Z] <mattflaschen@tin> Synchronized wmf-config/InitialiseSettings.php: T177836: Deploy Compact Language Links on the German Wikipedia (duration: 00m 49s)

Mattflaschen-WMF closed this task as Resolved.